package com.yinlihupo.enlish.service.service;

import com.yinlihupo.enlish.service.domain.dataobject.StudentLessonPlansDO;

import java.util.List;

public interface StudentLessonPlansService {

    List<StudentLessonPlansDO> findStudentLessonPlansDOList(Integer page, Integer size, String name);

    Integer findStudentLessonPlanTotal();

    int finishStudentLessonPlan(Integer studentId, Integer planId);

    List<StudentLessonPlansDO> findStudentLessonPlansByStudentId(Integer studentId);
}
